Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QUndoView

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QWidget
                      com.trolltech.qt.gui.QFrame
                          com.trolltech.qt.gui.QAbstractScrollArea
                              com.trolltech.qt.gui.QAbstractItemView
                                  com.trolltech.qt.gui.QListView
                                      com.trolltech.qt.gui.QUndoView

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

    public class QUndoView

extends QListView

The `QUndoView` class displays the contents of a `QUndoStack`.

`QUndoView` is a `QListView` which displays the list of commands pushed on an undo stack. The most recently executed command is always selected. Selecting a different command results in a call to QUndoStack::setIndex(), rolling the state of the document backwards or forward to the new command.

The stack can be set explicitly with `setStack`. Alternatively, a `QUndoGroup` object can be set with `setGroup`. The view will then update itself automatically whenever the active stack of the group changes.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QListView
`QListView.Flow, QListView.LayoutMode, QListView.Movement, QListView.ResizeMode, QListView.ViewMode`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAbstractItemView
`QAbstractItemView.CursorAction, QAbstractItemView.DragDropMode, QAbstractItemView.DropIndicatorPosition, QAbstractItemView.EditTrigger, QAbstractItemView.EditTriggers, QAbstractItemView.ScrollHint, QAbstractItemView.ScrollMode, QAbstractItemView.SelectionBehavior, QAbstractItemView.SelectionMode, QAbstractItemView.State`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QFrame
`QFrame.Shadow, QFrame.Shape, QFrame.StyleMask`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary

Fields inherited from class com.trolltech.qt.gui.QListView
`indexesMoved`

Fields inherited from class com.trolltech.qt.gui.QAbstractItemView
`activated, clicked, doubleClicked, entered, pressed, viewportEntered`

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Constructor Summary
`QUndoView()` Equivalent to `QUndoView`(0).
`QUndoView(QUndoGroup group)` Equivalent to `QUndoView`(`group`, 0).
`QUndoView(QUndoGroup group, QWidget parent)` Constructs a new view with parent `parent` and sets the observed group to `group`.
`QUndoView(QUndoStack stack)` Equivalent to `QUndoView`(`stack`, 0).
`QUndoView(QUndoStack stack, QWidget parent)` Constructs a new view with parent `parent` and sets the observed stack to `stack`.
`QUndoView(QWidget parent)` Constructs a new view with parent `parent`.

Method Summary
`QIcon` | `cleanIcon()` Returns the icon used to represent the clean state..
`java.lang.String` | `emptyLabel()` Returns the label used for the empty state..
`static QUndoView` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QUndoView instance pointed to by nativePointer
`QUndoGroup` | `group()` Returns the group displayed by this view.
`void` | `setCleanIcon(QIcon icon)` Sets the icon used to represent the clean state.
`void` | `setEmptyLabel(java.lang.String label)` Sets the label used for the empty state.
`void` | `setGroup(QUndoGroup group)` Sets the group displayed by this view to `group`.
`void` | `setStack(QUndoStack stack)` Sets the stack displayed by this view to `stack`.
`QUndoStack` | `stack()` Returns the stack currently displayed by this view.

Methods inherited from class com.trolltech.qt.gui.QListView
`batchSize, clearPropertyFlags, contentsSize, currentChanged, dataChanged, doItemsLayout, dragLeaveEvent, dragMoveEvent, dropEvent, event, flow, gridSize, horizontalOffset, indexAt, internalDrag, internalDrag, internalDrop, isIndexHidden, isRowHidden, isSelectionRectVisible, isWrapping, layoutMode, modelColumn, mouseMoveEvent, mouseReleaseEvent, moveCursor, movement, paintEvent, rectForIndex, reset, resizeContents, resizeEvent, resizeMode, rowsAboutToBeRemoved, rowsInserted, scrollContentsBy, scrollTo, selectedIndexes, selectionChanged, setBatchSize, setFlow, setGridSize, setLayoutMode, setModelColumn, setMovement, setPositionForIndex, setResizeMode, setRootIndex, setRowHidden, setSelection, setSelectionRectVisible, setSpacing, setUniformItemSizes, setViewMode, setWordWrap, setWrapping, spacing, startDrag, timerEvent, uniformItemSizes, updateGeometries, verticalOffset, viewMode, viewOptions, visualRect, visualRegionForSelection, wordWrap`

Methods inherited from class com.trolltech.qt.gui.QAbstractItemView
`alternatingRowColors, clearSelection, closeEditor, closePersistentEditor, commitData, currentIndex, dirtyRegionOffset, doAutoScroll, dragDropMode, dragDropOverwriteMode, dragEnabled, dragEnterEvent, dropIndicatorPosition, edit, edit, editorDestroyed, editTriggers, executeDelayedItemsLayout, focusInEvent, focusNextPrevChild, focusOutEvent, hasAutoScroll, horizontalScrollbarAction, horizontalScrollbarValueChanged, horizontalScrollMode, iconSize, indexWidget, inputMethodEvent, inputMethodQuery, itemDelegate, itemDelegate, itemDelegateForColumn, itemDelegateForRow, keyboardSearch, keyPressEvent, model, mouseDoubleClickEvent, mousePressEvent, openPersistentEditor, rootIndex, scheduleDelayedItemsLayout, scrollDirtyRegion, scrollTo, scrollToBottom, scrollToTop, selectAll, selectionBehavior, selectionCommand, selectionCommand, selectionMode, selectionModel, setAlternatingRowColors, setAutoScroll, setCurrentIndex, setDirtyRegion, setDragDropMode, setDragDropOverwriteMode, setDragEnabled, setDropIndicatorShown, setEditTriggers, setEditTriggers, setHorizontalScrollMode, setIconSize, setIndexWidget, setItemDelegate, setItemDelegateForColumn, setItemDelegateForRow, setModel, setSelectionBehavior, setSelectionMode, setSelectionModel, setState, setTabKeyNavigation, setTextElideMode, setVerticalScrollMode, showDropIndicator, sizeHintForColumn, sizeHintForIndex, sizeHintForRow, startAutoScroll, startDrag, state, stopAutoScroll, tabKeyNavigation, textElideMode, update, updateEditorData, updateEditorGeometries, verticalScrollbarAction, verticalScrollbarValueChanged, verticalScrollMode, viewportEvent`

Methods inherited from class com.trolltech.qt.gui.QAbstractScrollArea
`addScrollBarWidget, addScrollBarWidget, contextMenuEvent, cornerWidget, horizontalScrollBar, horizontalScrollBarPolicy, maximumViewportSize, minimumSizeHint, paintEngine, scrollBarWidgets, scrollBarWidgets, setCornerWidget, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setupViewport, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportMargins, sizeHint, verticalScrollBar, verticalScrollBarPolicy, viewport, wheelEvent`

Methods inherited from class com.trolltech.qt.gui.QFrame
`changeEvent, drawFrame, frameRect, frameShadow, frameShape, frameStyle, frameWidth, lineWidth, midLineWidth, setFrameRect, setFrameShadow, setFrameShape, setFrameStyle, setLineWidth, setMidLineWidth`

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuPolicy, createWinId, cursor, depth, destroy, destroy, destroy, devType, ensurePolished, enterEvent, focusNextChild, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isLeftToRight, isMaximized, isMinimized, isModal, isRightToLeft, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyReleaseEvent, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumWidth, mouseGrabber, move, move, moveEvent, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, overrideWindowState, overrideWindowState, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setVisible, setWhatsThis, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showEvent, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, width, widthMM, window, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QUndoView

    public QUndoView()

  Equivalent to `QUndoView`(0).

### QUndoView

    public QUndoView(QWidget parent)

  Constructs a new view with parent `parent`.

### QUndoView

    public QUndoView(QUndoStack stack)

  Equivalent to `QUndoView`(`stack`, 0).

### QUndoView

    public QUndoView(QUndoStack stack,
                     QWidget parent)

  Constructs a new view with parent `parent` and sets the observed stack to `stack`.

### QUndoView

    public QUndoView(QUndoGroup group)

  Equivalent to `QUndoView`(`group`, 0).

### QUndoView

    public QUndoView(QUndoGroup group,
                     QWidget parent)

  Constructs a new view with parent `parent` and sets the observed group to `group`.

  The view will update itself autmiatically whenever the active stack of the group changes.

Method Detail

### cleanIcon

    public final QIcon cleanIcon()

  Returns the icon used to represent the clean state..

  A stack may have a clean state set with QUndoStack::setClean(). This is usually the state of the document at the point it was saved. `QUndoView` can display an icon in the list of commands to show the clean state. If this proprety is a null icon, no icon is shown. The default value is the null icon.

  See Also:
    `setCleanIcon`

### emptyLabel

    public final java.lang.String emptyLabel()

  Returns the label used for the empty state..

  The empty label is the topmost element in the list of commands, which represents the state of the document before any commands were pushed on the stack. The default is the string "<empty>".

  See Also:
    `setEmptyLabel`

### group

    public final QUndoGroup group()

  Returns the group displayed by this view.

  If the view is not looking at group, this function returns 0.

  See Also:
    `setGroup`, `setStack`

### setCleanIcon

    public final void setCleanIcon(QIcon icon)

  Sets the icon used to represent the clean state. to `icon`.

  A stack may have a clean state set with QUndoStack::setClean(). This is usually the state of the document at the point it was saved. `QUndoView` can display an icon in the list of commands to show the clean state. If this proprety is a null icon, no icon is shown. The default value is the null icon.

  See Also:
    `cleanIcon`

### setEmptyLabel

    public final void setEmptyLabel(java.lang.String label)

  Sets the label used for the empty state. to `label`.

  The empty label is the topmost element in the list of commands, which represents the state of the document before any commands were pushed on the stack. The default is the string "<empty>".

  See Also:
    `emptyLabel`

### setGroup

    public final void setGroup(QUndoGroup group)

  Sets the group displayed by this view to `group`. If `group` is 0, the view will be empty.

  The view will update itself autmiatically whenever the active stack of the group changes.

  See Also:
    `group`, `setStack`

### setStack

    public final void setStack(QUndoStack stack)

  Sets the stack displayed by this view to `stack`. If `stack` is 0, the view will be empty.

  If the view was previously looking at a `QUndoGroup`, the group is set to 0.

  See Also:
    `stack`, `setGroup`

### stack

    public final QUndoStack stack()

  Returns the stack currently displayed by this view. If the view is looking at a `QUndoGroup`, this the group's active stack.

  See Also:
    `setStack`, `setGroup`

### fromNativePointer

    public static QUndoView fromNativePointer(QNativePointer nativePointer)

  This function returns the QUndoView instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD